Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.backport.java.util
Class Arrays

    java.lang.Object
      edu.emory.mathcs.backport.java.util.Arrays

public class Arrays
extends java.lang.Object

Method Summary
`static java.util.List` | `asList(java.lang.Object[] a)`
`static int` | `binarySearch(byte[] a, byte key)`
`static int` | `binarySearch(char[] a, char key)`
`static int` | `binarySearch(double[] a, double key)`
`static int` | `binarySearch(float[] a, float key)`
`static int` | `binarySearch(int[] a, int key)`
`static int` | `binarySearch(long[] a, long key)`
`static int` | `binarySearch(java.lang.Object[] a, java.lang.Object key)`
`static int` | `binarySearch(java.lang.Object[] a, java.lang.Object key, java.util.Comparator c)`
`static int` | `binarySearch(short[] a, short key)`
`static boolean[]` | `copyOf(boolean[] original, int newLength)`
`static byte[]` | `copyOf(byte[] original, int newLength)`
`static char[]` | `copyOf(char[] original, int newLength)`
`static double[]` | `copyOf(double[] original, int newLength)`
`static float[]` | `copyOf(float[] original, int newLength)`
`static int[]` | `copyOf(int[] original, int newLength)`
`static long[]` | `copyOf(long[] original, int newLength)`
`static java.lang.Object[]` | `copyOf(java.lang.Object[] original, int newLength)`
`static java.lang.Object[]` | `copyOf(java.lang.Object[] original, int newLength, java.lang.Class newType)`
`static short[]` | `copyOf(short[] original, int newLength)`
`static boolean[]` | `copyOfRange(boolean[] original, int from, int to)`
`static byte[]` | `copyOfRange(byte[] original, int from, int to)`
`static char[]` | `copyOfRange(char[] original, int from, int to)`
`static double[]` | `copyOfRange(double[] original, int from, int to)`
`static float[]` | `copyOfRange(float[] original, int from, int to)`
`static int[]` | `copyOfRange(int[] original, int from, int to)`
`static long[]` | `copyOfRange(long[] original, int from, int to)`
`static java.lang.Object[]` | `copyOfRange(java.lang.Object[] original, int from, int to)`
`static java.lang.Object[]` | `copyOfRange(java.lang.Object[] original, int from, int to, java.lang.Class newType)`
`static short[]` | `copyOfRange(short[] original, int from, int to)`
`static boolean` | `deepEquals(java.lang.Object[] a1, java.lang.Object[] a2)`
`static int` | `deepHashCode(java.lang.Object[] a)`
`static java.lang.String` | `deepToString(java.lang.Object[] a)`
`static boolean` | `equals(boolean[] a, boolean[] a2)`
`static boolean` | `equals(byte[] a, byte[] a2)`
`static boolean` | `equals(char[] a, char[] a2)`
`static boolean` | `equals(double[] a, double[] a2)`
`static boolean` | `equals(float[] a, float[] a2)`
`static boolean` | `equals(int[] a, int[] a2)`
`static boolean` | `equals(long[] a, long[] a2)`
`static boolean` | `equals(java.lang.Object[] a, java.lang.Object[] a2)`
`static boolean` | `equals(short[] a, short[] a2)`
`static void` | `fill(boolean[] a, boolean val)`
`static void` | `fill(boolean[] a, int fromIndex, int toIndex, boolean val)`
`static void` | `fill(byte[] a, byte val)`
`static void` | `fill(byte[] a, int fromIndex, int toIndex, byte val)`
`static void` | `fill(char[] a, char val)`
`static void` | `fill(char[] a, int fromIndex, int toIndex, char val)`
`static void` | `fill(double[] a, double val)`
`static void` | `fill(double[] a, int fromIndex, int toIndex, double val)`
`static void` | `fill(float[] a, float val)`
`static void` | `fill(float[] a, int fromIndex, int toIndex, float val)`
`static void` | `fill(int[] a, int val)`
`static void` | `fill(int[] a, int fromIndex, int toIndex, int val)`
`static void` | `fill(long[] a, int fromIndex, int toIndex, long val)`
`static void` | `fill(long[] a, long val)`
`static void` | `fill(java.lang.Object[] a, int fromIndex, int toIndex, java.lang.Object val)`
`static void` | `fill(java.lang.Object[] a, java.lang.Object val)`
`static void` | `fill(short[] a, int fromIndex, int toIndex, short val)`
`static void` | `fill(short[] a, short val)`
`static int` | `hashCode(boolean[] a)`
`static int` | `hashCode(byte[] a)`
`static int` | `hashCode(char[] a)`
`static int` | `hashCode(double[] a)`
`static int` | `hashCode(float[] a)`
`static int` | `hashCode(int[] a)`
`static int` | `hashCode(long[] a)`
`static int` | `hashCode(java.lang.Object[] a)`
`static int` | `hashCode(short[] a)`
`static void` | `sort(byte[] a)`
`static void` | `sort(byte[] a, int fromIndex, int toIndex)`
`static void` | `sort(char[] a)`
`static void` | `sort(char[] a, int fromIndex, int toIndex)`
`static void` | `sort(double[] a)`
`static void` | `sort(double[] a, int fromIndex, int toIndex)`
`static void` | `sort(float[] a)`
`static void` | `sort(float[] a, int fromIndex, int toIndex)`
`static void` | `sort(int[] a)`
`static void` | `sort(int[] a, int fromIndex, int toIndex)`
`static void` | `sort(long[] a)`
`static void` | `sort(long[] a, int fromIndex, int toIndex)`
`static void` | `sort(java.lang.Object[] a)`
`static void` | `sort(java.lang.Object[] a, java.util.Comparator c)`
`static void` | `sort(java.lang.Object[] a, int fromIndex, int toIndex)`
`static void` | `sort(java.lang.Object[] a, int fromIndex, int toIndex, java.util.Comparator c)`
`static void` | `sort(short[] a)`
`static void` | `sort(short[] a, int fromIndex, int toIndex)`
`static java.lang.String` | `toString(boolean[] a)`
`static java.lang.String` | `toString(byte[] a)`
`static java.lang.String` | `toString(char[] a)`
`static java.lang.String` | `toString(double[] a)`
`static java.lang.String` | `toString(float[] a)`
`static java.lang.String` | `toString(int[] a)`
`static java.lang.String` | `toString(long[] a)`
`static java.lang.String` | `toString(java.lang.Object[] a)`
`static java.lang.String` | `toString(short[] a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### sort

    public static void sort(long[] a)

### sort

    public static void sort(long[] a,
                            int fromIndex,
                            int toIndex)

### sort

    public static void sort(int[] a)

### sort

    public static void sort(int[] a,
                            int fromIndex,
                            int toIndex)

### sort

    public static void sort(short[] a)

### sort

    public static void sort(short[] a,
                            int fromIndex,
                            int toIndex)

### sort

    public static void sort(char[] a)

### sort

    public static void sort(char[] a,
                            int fromIndex,
                            int toIndex)

### sort

    public static void sort(byte[] a)

### sort

    public static void sort(byte[] a,
                            int fromIndex,
                            int toIndex)

### sort

    public static void sort(double[] a)

### sort

    public static void sort(double[] a,
                            int fromIndex,
                            int toIndex)

### sort

    public static void sort(float[] a)

### sort

    public static void sort(float[] a,
                            int fromIndex,
                            int toIndex)

### sort

    public static void sort(java.lang.Object[] a)

### sort

    public static void sort(java.lang.Object[] a,
                            int fromIndex,
                            int toIndex)

### sort

    public static void sort(java.lang.Object[] a,
                            java.util.Comparator c)

### sort

    public static void sort(java.lang.Object[] a,
                            int fromIndex,
                            int toIndex,
                            java.util.Comparator c)

### binarySearch

    public static int binarySearch(long[] a,
                                   long key)

### binarySearch

    public static int binarySearch(int[] a,
                                   int key)

### binarySearch

    public static int binarySearch(short[] a,
                                   short key)

### binarySearch

    public static int binarySearch(char[] a,
                                   char key)

### binarySearch

    public static int binarySearch(byte[] a,
                                   byte key)

### binarySearch

    public static int binarySearch(double[] a,
                                   double key)

### binarySearch

    public static int binarySearch(float[] a,
                                   float key)

### binarySearch

    public static int binarySearch(java.lang.Object[] a,
                                   java.lang.Object key)

### binarySearch

    public static int binarySearch(java.lang.Object[] a,
                                   java.lang.Object key,
                                   java.util.Comparator c)

### equals

    public static boolean equals(long[] a,
                                 long[] a2)

### equals

    public static boolean equals(int[] a,
                                 int[] a2)

### equals

    public static boolean equals(short[] a,
                                 short[] a2)

### equals

    public static boolean equals(char[] a,
                                 char[] a2)

### equals

    public static boolean equals(byte[] a,
                                 byte[] a2)

### equals

    public static boolean equals(boolean[] a,
                                 boolean[] a2)

### equals

    public static boolean equals(double[] a,
                                 double[] a2)

### equals

    public static boolean equals(float[] a,
                                 float[] a2)

### equals

    public static boolean equals(java.lang.Object[] a,
                                 java.lang.Object[] a2)

### fill

    public static void fill(long[] a,
                            long val)

### fill

    public static void fill(long[] a,
                            int fromIndex,
                            int toIndex,
                            long val)

### fill

    public static void fill(int[] a,
                            int val)

### fill

    public static void fill(int[] a,
                            int fromIndex,
                            int toIndex,
                            int val)

### fill

    public static void fill(short[] a,
                            short val)

### fill

    public static void fill(short[] a,
                            int fromIndex,
                            int toIndex,
                            short val)

### fill

    public static void fill(char[] a,
                            char val)

### fill

    public static void fill(char[] a,
                            int fromIndex,
                            int toIndex,
                            char val)

### fill

    public static void fill(byte[] a,
                            byte val)

### fill

    public static void fill(byte[] a,
                            int fromIndex,
                            int toIndex,
                            byte val)

### fill

    public static void fill(boolean[] a,
                            boolean val)

### fill

    public static void fill(boolean[] a,
                            int fromIndex,
                            int toIndex,
                            boolean val)

### fill

    public static void fill(double[] a,
                            double val)

### fill

    public static void fill(double[] a,
                            int fromIndex,
                            int toIndex,
                            double val)

### fill

    public static void fill(float[] a,
                            float val)

### fill

    public static void fill(float[] a,
                            int fromIndex,
                            int toIndex,
                            float val)

### fill

    public static void fill(java.lang.Object[] a,
                            java.lang.Object val)

### fill

    public static void fill(java.lang.Object[] a,
                            int fromIndex,
                            int toIndex,
                            java.lang.Object val)

### copyOf

    public static java.lang.Object[] copyOf(java.lang.Object[] original,
                                            int newLength)

  Since:
    1.6

### copyOf

    public static java.lang.Object[] copyOf(java.lang.Object[] original,
                                            int newLength,
                                            java.lang.Class newType)

  Since:
    1.6

### copyOf

    public static byte[] copyOf(byte[] original,
                                int newLength)

  Since:
    1.6

### copyOf

    public static short[] copyOf(short[] original,
                                 int newLength)

  Since:
    1.6

### copyOf

    public static int[] copyOf(int[] original,
                               int newLength)

  Since:
    1.6

### copyOf

    public static long[] copyOf(long[] original,
                                int newLength)

  Since:
    1.6

### copyOf

    public static char[] copyOf(char[] original,
                                int newLength)

  Since:
    1.6

### copyOf

    public static float[] copyOf(float[] original,
                                 int newLength)

  Since:
    1.6

### copyOf

    public static double[] copyOf(double[] original,
                                  int newLength)

  Since:
    1.6

### copyOf

    public static boolean[] copyOf(boolean[] original,
                                   int newLength)

  Since:
    1.6

### copyOfRange

    public static java.lang.Object[] copyOfRange(java.lang.Object[] original,
                                                 int from,
                                                 int to)

  Since:
    1.6

### copyOfRange

    public static java.lang.Object[] copyOfRange(java.lang.Object[] original,
                                                 int from,
                                                 int to,
                                                 java.lang.Class newType)

  Since:
    1.6

### copyOfRange

    public static byte[] copyOfRange(byte[] original,
                                     int from,
                                     int to)

  Since:
    1.6

### copyOfRange

    public static short[] copyOfRange(short[] original,
                                      int from,
                                      int to)

  Since:
    1.6

### copyOfRange

    public static int[] copyOfRange(int[] original,
                                    int from,
                                    int to)

  Since:
    1.6

### copyOfRange

    public static long[] copyOfRange(long[] original,
                                     int from,
                                     int to)

  Since:
    1.6

### copyOfRange

    public static char[] copyOfRange(char[] original,
                                     int from,
                                     int to)

  Since:
    1.6

### copyOfRange

    public static float[] copyOfRange(float[] original,
                                      int from,
                                      int to)

  Since:
    1.6

### copyOfRange

    public static double[] copyOfRange(double[] original,
                                       int from,
                                       int to)

  Since:
    1.6

### copyOfRange

    public static boolean[] copyOfRange(boolean[] original,
                                        int from,
                                        int to)

  Since:
    1.6

### asList

    public static java.util.List asList(java.lang.Object[] a)

### hashCode

    public static int hashCode(long[] a)

  Since:
    1.5

### hashCode

    public static int hashCode(int[] a)

  Since:
    1.5

### hashCode

    public static int hashCode(short[] a)

  Since:
    1.5

### hashCode

    public static int hashCode(char[] a)

  Since:
    1.5

### hashCode

    public static int hashCode(byte[] a)

  Since:
    1.5

### hashCode

    public static int hashCode(boolean[] a)

  Since:
    1.5

### hashCode

    public static int hashCode(float[] a)

  Since:
    1.5

### hashCode

    public static int hashCode(double[] a)

  Since:
    1.5

### hashCode

    public static int hashCode(java.lang.Object[] a)

  Since:
    1.5

### deepHashCode

    public static int deepHashCode(java.lang.Object[] a)

  Since:
    1.5

### deepEquals

    public static boolean deepEquals(java.lang.Object[] a1,
                                     java.lang.Object[] a2)

  Since:
    1.5

### toString

    public static java.lang.String toString(long[] a)

  Since:
    1.5

### toString

    public static java.lang.String toString(int[] a)

  Since:
    1.5

### toString

    public static java.lang.String toString(short[] a)

  Since:
    1.5

### toString

    public static java.lang.String toString(char[] a)

  Since:
    1.5

### toString

    public static java.lang.String toString(byte[] a)

  Since:
    1.5

### toString

    public static java.lang.String toString(boolean[] a)

  Since:
    1.5

### toString

    public static java.lang.String toString(float[] a)

  Since:
    1.5

### toString

    public static java.lang.String toString(double[] a)

  Since:
    1.5

### toString

    public static java.lang.String toString(java.lang.Object[] a)

  Since:
    1.5

### deepToString

    public static java.lang.String deepToString(java.lang.Object[] a)

  Since:
    1.5

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD